Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-arm-rtems4.10-binutils
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-avr-rtems4.10-binutils
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -115,4 +115,8 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
+%endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -427,5 +431,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -544,5 +548,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -564,5 +568,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-i386-rtems4.10-binutils
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -114,5 +114,9 @@
 %if "%{gcc_version}" == "4.3.3"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090223.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
+%endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -120,4 +124,7 @@
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -100,5 +100,5 @@
 
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -114,4 +114,8 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
+%endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -427,5 +431,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -486,5 +490,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -100,5 +100,5 @@
 
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -114,4 +114,8 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
+%endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -427,5 +431,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -486,5 +490,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-mips-rtems4.10-binutils
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-sh-rtems4.10-binutils
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision edbbbf28e062cbcd689b737d510b4d6070f9fab9)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 9937a7a963f96441bd9c1951ed2048e998ab79a9)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.3.3
-%define gcc_version 4.3.3
-%define gcc_rpmvers %{expand:%(echo "4.3.3" | tr - _ )}
+%define gcc_pkgvers 4.4.0-RC-20090414
+%define gcc_version 4.4.0
+%define gcc_rpmvers %{expand:%(echo "4.4.0" | tr - _ )}
 
 %define newlib_pkgvers		1.17.0
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	12%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 
 
@@ -116,8 +116,15 @@
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
 %endif
+%if "%{gcc_version}" == "4.4.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.3.3" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.4.0" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
@@ -435,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-33%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
 # License:	GPL
 
@@ -587,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -607,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        33%{?dist}
+Release:        34%{?dist}
 License:	Distributable
 
